Package com.xebialabs.xlrelease.domain.analytics

# Class ProjectedItem

java.lang.Object
com.xebialabs.xlrelease.domain.analytics.ProjectedItem

Direct Known Subclasses:
  `ProjectedPhase`, `ProjectedRelease`, `ProjectedTask`

public abstract class ProjectedItem extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Date`
  `endDate`
  `String`
  `endDateString`
  `String`
  `id`
  `Date`
  `startDate`
  `String`
  `startDateString`
  `String`
  `status`
  `String`
  `title`
  `String`
  `type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProjectedItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getEndDate()`
  `String`
  `getEndDateString()`
  `String`
  `getId()`
  `Date`
  `getStartDate()`
  `String`
  `getStartDateString()`
  `String`
  `getStatus()`
  `String`
  `getTitle()`
  `String`
  `getType()`
  `void`
  `setEndDate(Date endDate)`
  `void`
  `setEndDateString(String endDateString)`
  `void`
  `setId(String id)`
  `void`
  `setStartDate(Date startDate)`
  `void`
  `setStartDateString(String startDateString)`
  `void`
  `setStatus(String status)`
  `void`
  `setTitle(String title)`
  `void`
  `setType(String type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### id

    public String id

  - ### startDate

    public Date startDate

  - ### startDateString

    public String startDateString

  - ### endDate

    public Date endDate

  - ### endDateString

    public String endDateString

  - ### status

    public String status

  - ### type

    public String type

  - ### title

    public String title

- ## Constructor Details

  - ### ProjectedItem

    public ProjectedItem()

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getStartDate

    public Date getStartDate()

  - ### setStartDate

    public void setStartDate(Date startDate)

  - ### getStartDateString

    public String getStartDateString()

  - ### setStartDateString

    public void setStartDateString(String startDateString)

  - ### getEndDate

    public Date getEndDate()

  - ### setEndDate

    public void setEndDate(Date endDate)

  - ### getEndDateString

    public String getEndDateString()

  - ### setEndDateString

    public void setEndDateString(String endDateString)

  - ### getStatus

    public String getStatus()

  - ### setStatus

    public void setStatus(String status)

  - ### getType

    public String getType()

  - ### setType

    public void setType(String type)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)